package ktypes

// IKernelStoreKv -- интерфейс к локальному быстрому key-value хранилищу ядра
type IKernelStoreKv interface {
	// Get -- возвращает значение по ключу
	Get(key string) Result[[]byte]
	// ByPrefix -- возвращает список ключей по префиксу
	ByPrefix(prefix string) Result[[]string]
	// Set -- устанавливает значение по ключу
	Set(key string, val []byte) Result[bool]
	// Delete -- удаляет значение по ключу
	Delete(key string) Result[bool]
	// Log -- возвращает локальный лог
	Log() ILogBuf
}
